Bug 1194188 - Review Request: fastd - Fast and secure tunneling daemon
Summary: Review Request: fastd - Fast and secure tunneling daemon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1194187
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 10:05 UTC by Felix Kaechele
Modified: 2015-03-25 19:59 UTC (History)
4 users (show)

Fixed In Version: fastd-17-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 17:01:11 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Felix Kaechele 2015-02-19 10:05:52 UTC
Spec URL: https://heffer.fedorapeople.org/review/fastd/fastd.spec
SRPM URL: https://heffer.fedorapeople.org/review/fastd/fastd-17-1.fc21.src.rpm
Description:
fastd is a secure tunneling daemon with some unique features:

 - Very small binary (about 100KB on OpenWRT in the default configuration,
   including all dependencies besides libc)
 - Exchangable crypto methods
 - Transport over UDP for simple usage behind NAT
 - Can run in 1:1 and 1:n scenarios
 - There are no server and client roles defined by the protocol, this is just
   defined by the usage.
 - Only one instance of the daemon is needed on each host to create a full mesh
   If no full mesh is established, a routing protocol is necessary to enable
   hosts that are not connected directly to reach each other

Fedora Account System Username: heffer

This package is often used to support wireless mesh networks by tunneling the mesh through the internet to other, more remote wireless nodes.

Comment 1 Florian "der-flo" Lehner 2015-02-23 19:42:28 UTC
Hi Felix!

[ ] Please remove COPYRIGHT from %doc and add
       %license COPYRIGHT
    to the files section

I will do another review, if libuecc is available upstream. So long it will fail to build on all plattforms: http://koji.fedoraproject.org/koji/taskinfo?taskID=9042593

Cheers, 
 Florian

Comment 2 Christopher Meng 2015-02-24 11:31:35 UTC
Good to see fastd.

Comment 3 Felix Kaechele 2015-03-01 11:29:45 UTC
Thanks, Florian!

I've edited the spec file with your recommendations:

Spec URL: https://heffer.fedorapeople.org/review/fastd/fastd.spec
SRPM URL: https://heffer.fedorapeople.org/review/fastd/fastd-17-2.fc23.src.rpm

As libuecc is already in rawhide fastd can now be build on koji and mock for target rawhide.

Comment 4 Florian "der-flo" Lehner 2015-03-01 12:04:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYRIGHT in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

   ---> NOT an issue! Package uses %license


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 6 files have
     unknown license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=9107033
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fastd-17-2.fc23.x86_64.rpm
          fastd-17-2.fc23.src.rpm
fastd.x86_64: W: spelling-error %description -l en_US libc -> lib, lib c
fastd.x86_64: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
fastd.src: W: spelling-error %description -l en_US libc -> lib, lib c
fastd.src: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
fastd (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libcap.so.2()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libjson-c.so.2()(64bit)
    libpthread.so.0()(64bit)
    libsodium.so.13()(64bit)
    libuecc.so.0()(64bit)
    rtld(GNU_HASH)
    systemd



Provides
--------
fastd:
    fastd
    fastd(x86-64)



Source checksums
----------------
http://git.universe-factory.net/fastd/snapshot/fastd-17.zip :
  CHECKSUM(SHA256) this package     : abea8c2c4f8807da5ddc2cd11236157c6938ee27a6e045cb2893b3333de8ffb6
  CHECKSUM(SHA256) upstream package : abea8c2c4f8807da5ddc2cd11236157c6938ee27a6e045cb2893b3333de8ffb6


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1194188
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====
      APPROVED

Comment 5 Felix Kaechele 2015-03-01 12:25:14 UTC
New Package SCM Request
=======================
Package Name: fastd
Short Description: Fast and secure tunneling daemon
Upstream URL: https://projects.universe-factory.net/projects/fastd
Owners: heffer
Branches: f20 f21 f22 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-03-01 16:49:30 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-03-02 06:09:39 UTC
fastd-17-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fastd-17-2.fc20

Comment 8 Fedora Update System 2015-03-02 06:09:44 UTC
fastd-17-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fastd-17-2.fc21

Comment 9 Fedora Update System 2015-03-02 06:09:49 UTC
fastd-17-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fastd-17-2.el7

Comment 10 Fedora Update System 2015-03-02 06:09:53 UTC
fastd-17-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fastd-17-2.fc22

Comment 11 Fedora Update System 2015-03-02 23:06:52 UTC
fastd-17-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 12 Neal Becker 2015-03-06 18:59:09 UTC
A bit OT: I'm interested in fastd, but have found almost no documentation.  Are there some simple examples I can follow?

Comment 13 Felix Kaechele 2015-03-06 23:38:33 UTC
The package comes with some fairly comprehensive documentation. You can also browse it here: http://fastd.readthedocs.org/

Comment 14 Fedora Update System 2015-03-13 17:01:11 UTC
fastd-17-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2015-03-13 17:23:30 UTC
fastd-17-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2015-03-13 17:28:29 UTC
fastd-17-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 17 Fedora Update System 2015-03-25 19:59:37 UTC
fastd-17-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.